apt: Container_reverse_iterator< Interface, Container, Master > Class Template Reference

apt 2.7.6 commandline package manager

Public Member Functions | List of all members
Container_reverse_iterator< Interface, Container, Master > Class Template Reference
Inheritance diagram for Container_reverse_iterator< Interface, Container, Master >:

## Public Member Functions
| Container_reverse_iterator (container_iterator i)
| operator typename Master::const_iterator ()
iterator_type & | operator= (iterator_type const &i)
iterator_type & | operator= (container_iterator const &i)
Container::reverse_iterator::reference | operator* (void) const
Container::value_type | getType (void) const
Public Member Functions inherited from Container_iterator_base< Interface, Master, Container_reverse_iterator< Interface, Container, Master >, Container::reverse_iterator, Container::value_type >
| Container_iterator_base (Container::reverse_iterator const &i)
Container::value_type | operator* (void) const
| operator Container::reverse_iterator (void) const
Container_reverse_iterator< Interface, Container, Master > & | operator++ ()
Container_reverse_iterator< Interface, Container, Master > | operator++ (int)
Container_reverse_iterator< Interface, Container, Master > | operator+ (typename container_iterator::difference_type const &n)
Container_reverse_iterator< Interface, Container, Master > | operator+= (typename container_iterator::difference_type const &n)
Container_reverse_iterator< Interface, Container, Master > & | operator-- ()
Container_reverse_iterator< Interface, Container, Master > | operator-- (int)
Container_reverse_iterator< Interface, Container, Master > | operator- (typename container_iterator::difference_type const &n)
container_iterator::difference_type | operator- (Container_reverse_iterator< Interface, Container, Master > const &b)
Container_reverse_iterator< Interface, Container, Master > | operator-= (typename container_iterator::difference_type const &n)
bool | operator!= (Container_reverse_iterator< Interface, Container, Master > const &i) const
bool | operator== (Container_reverse_iterator< Interface, Container, Master > const &i) const
bool | operator< (Container_reverse_iterator< Interface, Container, Master > const &i) const
bool | operator> (Container_reverse_iterator< Interface, Container, Master > const &i) const
bool | operator<= (Container_reverse_iterator< Interface, Container, Master > const &i) const
bool | operator>= (Container_reverse_iterator< Interface, Container, Master > const &i) const
container_iterator::reference | operator[] (typename container_iterator::difference_type const &n) const

## Additional Inherited Members
Public Types inherited from Container_iterator_base< Interface, Master, Container_reverse_iterator< Interface, Container, Master >, Container::reverse_iterator, Container::value_type >
using | iterator_category = typename std::iterator_traits< Container::reverse_iterator >::iterator_category
using | value_type = Container::value_type
using | difference_type = std::ptrdiff_t
using | pointer = Container::value_type *
using | reference = Container::value_type &
Public Attributes inherited from Container_iterator_base< Interface, Master, Container_reverse_iterator< Interface, Container, Master >, Container::reverse_iterator, Container::value_type >
friend | Master
Protected Attributes inherited from Container_iterator_base< Interface, Master, Container_reverse_iterator< Interface, Container, Master >, Container::reverse_iterator, Container::value_type >
Container::reverse_iterator | _iter

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h